/*
=============== 
Fonts
===============
*/
@import url("https://fonts.googleapis.com/css?family=Lato:400,700&display=swap");

/*
=============== 
Variables
===============
*/

:root {
  /* dark shades of primary color*/
  --clr-primary-1: hsl(184, 91%, 17%);
  --clr-primary-2: hsl(185, 84%, 25%);
  --clr-primary-3: hsl(185, 81%, 29%);
  --clr-primary-4: hsl(184, 77%, 34%);
  /* primary/main color */
  --clr-primary-5: hsl(185, 62%, 45%);
  /* lighter shades of primary color */
  --clr-primary-6: hsl(185, 57%, 50%);
  --clr-primary-7: hsl(184, 65%, 59%);
  --clr-primary-8: hsl(184, 80%, 74%);
  --clr-primary-9: hsl(185, 94%, 87%);
  --clr-primary-10: hsl(186, 100%, 94%);
  /* darkest grey - used for headings */
  --clr-grey-1: hsl(209, 61%, 16%);
  --clr-grey-2: hsl(211, 39%, 23%);
  --clr-grey-3: hsl(209, 34%, 30%);
  --clr-grey-4: hsl(209, 28%, 39%);
  /* grey used for paragraphs */
  --clr-grey-5: hsl(210, 22%, 49%);
  --clr-grey-6: hsl(209, 23%, 60%);
  --clr-grey-7: hsl(211, 27%, 70%);
  --clr-grey-8: hsl(210, 31%, 80%);
  --clr-grey-9: hsl(212, 33%, 89%);
  --clr-grey-10: hsl(210, 36%, 96%);
  --clr-white: #fff;
  --ff-primary: "Lato", sans-serif;
  --transition: all 0.3s linear;
  --spacing: 0.25rem;
  --radius: 0.5rem;
  --light-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  --dark-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
}
/*
=============== 
Global Styles
===============
*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: var(--ff-primary);
  background: var(--clr-white);
  color: var(--clr-grey-1);
  line-height: 1.5;
  font-size: 0.875rem;
}
ul {
  list-style-type: none;
}
a {
  text-decoration: none;
}
img:not(.nav-logo) {
  width: 100%;
  display: block;
}
/* img:not(.nav-logo) {
  width: 100%;
  display: block;
} */

h1,
h2,
h3,
h4 {
  letter-spacing: var(--spacing);
  text-transform: capitalize;
  line-height: 1.25;
  margin-bottom: 0.75rem;
}
h1 {
  font-size: 3rem;
}
h2 {
  font-size: 2rem;
}
h3 {
  font-size: 1.25rem;
}
h4 {
  font-size: 0.875rem;
}
p {
  margin-bottom: 1.25rem;
  color: var(--clr-grey-5);
}
@media screen and (min-width: 800px) {
  h1 {
    font-size: 4rem;
  }
  h2 {
    font-size: 2.5rem;
  }
  h3 {
    font-size: 1.75rem;
  }
  h4 {
    font-size: 1rem;
  }
  body {
    font-size: 1rem;
  }
  h1,
  h2,
  h3,
  h4 {
    line-height: 1;
  }
}
/*  global classes */

.btn {
  text-transform: uppercase;
  background: var(--clr-primary-5);
  color: var(--clr-white);
  padding: 0.375rem 0.75rem;
  letter-spacing: var(--spacing);
  display: inline-block;
  /* font-weight: 700; */
  transition: var(--transition);
  font-size: 0.875rem;
  border: 2px solid transparent;
  cursor: pointer;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
}
.btn:hover {
  color: var(--clr-primary-1);
  background: var(--clr-primary-8);
}

.section {
  padding: 5rem 0;
}

.section-title {
  text-align: center;
  margin-bottom: 4rem;
}

.section-title h2 {
  text-transform: uppercase;
}

.section-title span {
  color: var(--clr-primary-5);
}

.section-center {
  width: 90vw;
  margin: 0 auto;
  max-width: 1170px;
}

@media screen and (min-width: 992px) {
  .section-center {
    width: 95vw;
  }
}
/*
=============== 
Navbar
===============
*/

.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: var(--clr-white);
  box-shadow: var(--dark-shadow);
  z-index: 2;
}

.nav-icons {
  display: none;
}

.nav-center {
  width: 100%;
  max-width: 1170px;
  margin: 0 auto;
}

.nav-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 2rem;
}

.nav-toggle {
  background: transparent;
  border: transparent;
  font-size: 1.5rem;
  color: var(--clr-primary-5);
  cursor: pointer;
  transition: var(--transition);
}

.nav-toggle:hover {
  transform: scale(1.2);
}

.nav-link {
  display: block;
  padding: 1rem 2rem;
  text-transform: capitalize;
  letter-spacing: var(--spacing);
  transition: var(--transition);
  color: var(--clr-grey-1);
  font-size: 1rem;
}

.nav-link:hover {
  color: var(--clr-primary-1);
  background: var(--clr-primary-8);
  padding-left: 2.25rem;
}

.nav-links {
  height: 0;
  overflow: hidden;
  transition: var(--transition);
}

.show-links {
  height: 280px;
}

@media screen and (min-width: 992px) {
  .navbar {
    padding: 1rem 2rem;
  }
  .nav-toggle {
    display: none;
  }

  .nav-center {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
  }
  .nav-links {
    display: flex;
    height: auto;
  }

  .nav-header {
    padding: 0 0;
  }

  .nav-link {
    margin-right: 0.7rem;
    padding: 0 0;
  }

  .nav-link:hover {
    padding: 0;
    color: var(--clr-primary-5);
    background: transparent;
  }

  .nav-icons {
    display: flex;
  }

  .nav-icon {
    margin-right: 0.7rem;
    color: var(--clr-primary-5);
    font-size: 1.2rem;
    transition: var(--transition);
  }

  .nav-icon:hover {
    color: var(--clr-primary-8);
  }
}

/*
=============== 
Hero
===============
*/
.hero {
  min-height: 100vh;
  background: var(--clr-primary-5);
  display: flex;
  justify-content: center;
  align-items: center;
}

.hero-banner {
  text-align: center;
  color: var(--clr-white);
  padding: 0 3rem;
}

.hero-banner h1 {
  text-transform: uppercase;
}

.hero-banner p {
  max-width: 35rem;
  margin-left: auto;
  margin-right: auto;
  color: var(--clr-white);
  letter-spacing: var(--spacing);
}

.hero-btn {
  padding: 0.9rem 1.6rem;
  font-size: 1.25rem;
  background: var(--clr-white);
  color: var(--clr-primary-5);
}

.hero-btn:hover {
  background: transparent;
  color: var(--clr-white);
  border-color: var(--clr-white);
}

@media screen and (min-width: 768px) {
  .hero {
    background: linear-gradient(rgba(44, 174, 186, 0.7), rgba(0, 0, 0, 0.7)),
      url("/images/main.jpeg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
  }

  .hero-banner {
    padding: 0;
  }

  .hero-banner p {
    max-width: 45rem;
  }
}
/*
=============== 
About
===============
*/
/* section add to globals */
/* title add to globals */
/* section center add to globals */
.about-img,
.about-info {
  margin-bottom: 2rem;
}

@media screen and (min-width: 992px) {
  .about-center {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
  }

  .about-img,
  .about-info {
    flex: 0 0 calc(50% - 2rem);
    margin-bottom: 0;
    align-self: center;
  }
}

@media screen and (min-width: 1170px) {
  .about-img::before {
    content: "";
    position: absolute;
    border: 0.5rem solid var(--clr-primary-5);
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    top: -1.5rem;
    left: -1.5rem;
    z-index: -1;
  }

  .about-img {
    position: relative;
  }
}

/*
=============== 
Services
===============
*/

.services {
  background: var(--clr-grey-10);
}

.service {
  text-align: center;
  margin-bottom: 3rem;
}

.service-icon {
  background: var(--clr-primary-5);
  color: var(--clr-primary-1);
  padding: 0.5rem;
  display: inline-block;
  font-size: 2rem;
  margin-bottom: 1.5rem;
}

.service-text {
  max-width: 20rem;
  margin-left: auto;
  margin-right: auto;
}

@media screen and (min-width: 576px) {
  .services-center {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
  }

  .service {
    flex: 0 0 calc(50% - 1rem);
    margin-bottom: 1rem;
  }
}

@media screen and (min-width: 992px) {
  .service {
    flex: 0 0 calc(33.333% - 1rem);
  }
}

@media screen and (min-width: 1170px) {
  .service {
    display: flex;
    text-align: left;
  }

  .service-icon {
    align-self: start;
  }

  .service-info {
    padding-left: 1rem;
  }

  .service-title {
    margin-bottom: 0.5rem;
  }
}
/*
=============== 
Featured Tours
===============
*/

.tour-card {
  transition: var(--transition);
  background: var(--clr-grey-10);
  box-shadow: var(--light-shadow);
  margin-bottom: 2rem;
}

.tour-card:hover {
  box-shadow: var(--dark-shadow);
  transform: scale(1.02);
}

.tour-img-container {
  position: relative;
}

.tour-img {
  height: 15rem;
  object-fit: cover;
}

.tour-date {
  position: absolute;
  right: 0;
  bottom: 0;
  background-color: var(--clr-primary-8);
  margin-bottom: 0;
  color: var(--clr-primary-1);
  text-transform: capitalize;
  padding: 0.25rem 0.5rem;
}

.tour-info {
  padding: 1.25rem 1.5rem;
}

.tour-title {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.tour-title p,
.tour-title h4 {
  margin-bottom: 0.75rem;
  line-height: 1.25rem;
}

.tour-title p {
  color: var(--clr-grey-7);
}

.tour-footer {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
}

.tour-footer p {
  line-height: 0;
  margin-bottom: 0;
  text-transform: capitalize;
  color: var(--clr-primary-5);
}

.tour-btn {
  text-align: center;
}

@media screen and (min-width: 768px) {
  .featured-center {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .tour-card {
    flex: 0 0 calc(50% - 2rem);
  }
}

@media screen and (min-width: 1170px) {
  .tour-card {
    flex: 0 0 calc(33.333% - 2rem);
  }
}

/*
=============== 
Contact
===============
*/
.contact {
  background: var(--clr-primary-5);
}

.contact-title {
  color: var(--clr-white);
}

.contact-title p {
  color: var(--clr-primary-8);
}

.contact-form {
  display: flex;
  max-width: 28rem;
}

.form-control {
  flex: 1 1 auto;
  color: var(--clr-grey-5);
}

.form-control,
.btn-submit {
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  line-height: 1.5;
  font-weight: 300;
  letter-spacing: var(--spacing);
  background: var(--clr-white);
  text-transform: capitalize;
  border: transparent;
}

.form-control::placeholder {
  color: inherit;
}

.btn-submit {
  font-family: var(--ff-primary);
  margin-left: 0.5rem;
  background: var(--clr-primary-8);
  color: var(--clr-primary-1);
  cursor: pointer;
  transition: var(--transition);
}

.btn-submit:hover {
  background: var(--clr-primary-1);
  color: var(--clr-primary-5);
}

@media screen and (min-width: 992px) {
  .contact-center {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .contact-form {
    align-self: flex-start;
    flex: 1 1 auto;
    max-width: 100%;
    margin-left: 1.25rem;
  }
}

/*
=============== 
Gallery
===============
*/
.gallery-img-container {
  position: relative;
  background: var(--clr-primary-5);
}

.gallery-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  font-size: 2rem;
  transform: translate(-50%, -50%);
  color: var(--clr-white);
  opacity: 0;
  cursor: pointer;
  transition: var(--transition);
}

.gallery-img {
  height: 17rem;
  object-fit: cover;
  transition: var(--transition);
}

.gallery-img-container:hover .gallery-img {
  opacity: 0.5;
}
.gallery-img-container:hover .gallery-icon {
  opacity: 1;
}

@media screen and (min-width: 768px) {
  .gallery-center {
    display: flex;
    flex-wrap: wrap;
  }

  .gallery-img-container {
    flex: 0 0 50%;
  }
}

@media screen and (min-width: 992px) {
  .gallery-img-container {
    flex: 0 0 25%;
  }
}

/*
=============== 
Footer
===============
*/
.footer {
  background: var(--clr-grey-1);
  text-align: center;
  padding-left: 2rem;
  padding-right: 2rem;
}

.footer-links,
.footer-icons {
  display: flex;
  justify-content: center;
  margin-bottom: 1.5rem;
  flex-wrap: wrap;
}

.footer-link {
  color: var(--clr-white);
  text-transform: capitalize;
  font-size: 1rem;
  margin-right: 1rem;
  letter-spacing: var(--spacing);
  transition: var(--transition);
}

.footer-link:hover {
  color: var(--clr-primary-5);
}

.footer-icon {
  font-size: 2rem;
  margin-right: 1rem;
  color: var(--clr-primary-8);
  transition: var(--transition);
}

.footer-icon:hover {
  color: var(--clr-primary-5);
}

.copyright {
  text-transform: capitalize;
  letter-spacing: var(--spacing);
  color: var(--clr-white);
}
